org.apache.xmlbeans.impl.inst2xsd.util

## Class TypeSystemHolder

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.util.TypeSystemHolder

-     public class TypeSystemHolder
      extends Object

  Author:
    Cezar Andrei (cezar.andrei at bea.com) Date: Jul 16, 2004

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSystemHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGlobalAttribute(Attribute attribute)`
    `void` | `addGlobalElement(Element element)`
    `void` | `addGlobalType(Type type)`
    `protected void` | `fillUpContentForComplexType(Type type, org.apache.xmlbeans.impl.xb.xsdschema.ComplexType sComplexType, String tns)`
    `protected void` | `fillUpLocalAttribute(Attribute att, org.apache.xmlbeans.impl.xb.xsdschema.Attribute sAttribute, String tns)`
    `protected void` | `fillUpLocalElement(Element element, org.apache.xmlbeans.impl.xb.xsdschema.LocalElement localSElement, String tns)`
    `Attribute` | `getGlobalAttribute(QName name)`
    `Attribute[]` | `getGlobalAttributes()`
    `Element` | `getGlobalElement(QName name)`
    `Element[]` | `getGlobalElements()`
    `Type` | `getGlobalType(QName name)`
    `Type[]` | `getGlobalTypes()`
    `org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument[]` | `getSchemaDocuments()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSystemHolder

          public TypeSystemHolder()

  - ### Method Detail

    - #### addGlobalElement

          public void addGlobalElement(Element element)

    - #### getGlobalElement

          public Element getGlobalElement(QName name)

    - #### getGlobalElements

          public Element[] getGlobalElements()

    - #### addGlobalAttribute

          public void addGlobalAttribute(Attribute attribute)

    - #### getGlobalAttribute

          public Attribute getGlobalAttribute(QName name)

    - #### getGlobalAttributes

          public Attribute[] getGlobalAttributes()

    - #### addGlobalType

          public void addGlobalType(Type type)

    - #### getGlobalType

          public Type getGlobalType(QName name)

    - #### getGlobalTypes

          public Type[] getGlobalTypes()

    - #### getSchemaDocuments

          public org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument[] getSchemaDocuments()

    - #### fillUpLocalElement

          protected void fillUpLocalElement(Element element,
                                            org.apache.xmlbeans.impl.xb.xsdschema.LocalElement localSElement,
                                            String tns)

    - #### fillUpLocalAttribute

          protected void fillUpLocalAttribute(Attribute att,
                                              org.apache.xmlbeans.impl.xb.xsdschema.Attribute sAttribute,
                                              String tns)

    - #### fillUpContentForComplexType

          protected void fillUpContentForComplexType(Type type,
                                                     org.apache.xmlbeans.impl.xb.xsdschema.ComplexType sComplexType,
                                                     String tns)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`